Groovy 1.7.10

## org.codehaus.groovy.ast.expr
[Java] Class PrefixExpression

    java.lang.Object
      org.codehaus.groovy.ast.ASTNode
          org.codehaus.groovy.ast.AnnotatedNode
              org.codehaus.groovy.ast.expr.Expression
                  org.codehaus.groovy.ast.expr.PrefixExpression

    public class PrefixExpression
    extends Expression

Represents a prefix expression like ++foo or --bar

Authors:
  James Strachan

Version:
  \$Revision: 6778 \$

Constructor Summary
`PrefixExpression(Token operation, Expression expression)`

Method Summary
`Expression` | `getExpression()`
`Token` | `getOperation()`
`String` | `getText()`
`ClassNode` | `getType()`
`void` | `setExpression(Expression expression)`
`String` | `toString()`
`Expression` | `transformExpression(ExpressionTransformer transformer)`
`void` | `visit(GroovyCodeVisitor visitor)`

Methods inherited from class Expression
getType, setType, transformExpression, transformExpressions, transformExpressions

Methods inherited from class AnnotatedNode
addAnnotation, addAnnotations, getAnnotations, getAnnotations, getDeclaringClass, hasNoRealSourcePosition, isSynthetic, setDeclaringClass, setHasNoRealSourcePosition, setSynthetic

Methods inherited from class ASTNode
copyNodeMetaData, getColumnNumber, getLastColumnNumber, getLastLineNumber, getLineNumber, getNodeMetaData, getText, removeNodeMetaData, setColumnNumber, setLastColumnNumber, setLastLineNumber, setLineNumber, setNodeMetaData, setSourcePosition, visit

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### PrefixExpression

    public PrefixExpression(Token operation, Expression expression)

Method Detail

### getExpression

    public Expression getExpression()

### getOperation

    public Token getOperation()

### getText

    public String getText()

### getType

    public ClassNode getType()

### setExpression

    public void setExpression(Expression expression)

### toString

    public String toString()

### transformExpression

    public Expression transformExpression(ExpressionTransformer transformer)

### visit

    public void visit(GroovyCodeVisitor visitor)

Copyright © 2003-2010 The Codehaus. All rights reserved.